Bug 1869139 (CVE-2020-14360) - CVE-2020-14360 xorg-x11-server: Out-of-bounds access in XkbSetMap function
Summary: CVE-2020-14360 xorg-x11-server: Out-of-bounds access in XkbSetMap function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14360
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1904935 1903258 1904933 1904934
Blocks: 1887277
TreeView+ depends on / blocked
 
Reported: 2020-08-17 04:25 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-16 19:29 UTC (History)
10 users (show)

Fixed In Version: xorg-x11-server 1.20.10
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the X.Org Server. An out-of-bounds access in the XkbSetMap function may lead to a privilege escalation vulnerability. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-12-14 18:47:08 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5408 0 None None None 2020-12-14 16:29:18 UTC

Description Huzaifa S. Sidhpurwala 2020-08-17 04:25:32 UTC
A flaw was found in X.Org Server. An Out-Of-Bounds access in XkbSetMap function may lead to a privilege escalation vulnerability. Root cause is same as CVE-2020-14345.

Comment 1 Huzaifa S. Sidhpurwala 2020-08-17 04:28:32 UTC
Acknowledgments:

Name: Jan-Niklas Sohn (Trend Micro Zero Day Initiative)

Comment 3 Guilherme de Almeida Suckevicz 2020-12-01 17:29:51 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1903258]

Comment 4 Huzaifa S. Sidhpurwala 2020-12-07 06:43:28 UTC
External References:

https://lists.x.org/archives/xorg-announce/2020-December/003066.html

Comment 7 Huzaifa S. Sidhpurwala 2020-12-07 06:47:22 UTC
Statement:

The Xorg server in Red Hat Enterprise Linux 8 does not run with root privileges, thus this flaw has been rated as having a moderate impact on that platform.

Comment 8 errata-xmlrpc 2020-12-14 16:29:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:5408 https://access.redhat.com/errata/RHSA-2020:5408

Comment 9 Product Security DevOps Team 2020-12-14 18:47:08 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14360


Note You need to log in before you can comment on or make changes to this bug.